Package org.eclipse.m2m.atl.core.ant.tasks.nested

# Class Classpath

java.lang.Object
org.eclipse.m2m.atl.core.ant.tasks.nested.Classpath

public class Classpath extends Object
Classpath nested element.

## Constructor Summary

Constructors
Constructor
Description
`Classpath()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfiguredPathelement(Pathelement p)`
Adds a `Pathelement`.
`List<Pathelement>`
`getPathElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Classpath

public Classpath()

## Method Details

### addConfiguredPathelement

public void addConfiguredPathelement(Pathelement p)
Adds a `Pathelement`.

Parameters:
  `p` - the path element

### getPathElements

public List<Pathelement> getPathElements()